<template lang="html">
    <div class="AccumBlock">
        <v-expansion-panel>
            <v-expansion-panel-content
              v-for="(item,i) in 1"
              :key="i"
              class="head-card-text"
            >
              <template v-slot:header>
                <div class="categ-Accum">
                    <span class="categTitle">Accumulator Of The Day</span>
                    <div class="ml-5">
                        <img src="../assets/dice.png" alt="#">
                    </div>
                </div>
              </template>
              <v-card>
                <v-card-text>
                    <div class="AccumInfoBlock">
                        <div class="BetsBlock" v-for="(item, index) in items" :key="index">
                            <div class="BetInfo">
                                <span>
                                    <img src="../assets/livesport_icon01.png" alt="#">
                                </span>
                                <span class="text-secondary">
                                    <span>{{ item.GameData }}</span>
                                    <span>{{ item.GameTime }}</span>
                                </span>
                                <span>
                                    <span>{{ item.GameClub01 }}</span>
                                    <span>{{ item.GameClub02 }}</span>
                                </span>
                            </div>
                            <div class="BetNum">
                                <span>{{ item.KindBet }}</span>
                                <span>{{ item.GameCoef }}</span>
                            </div>
                        </div>
                        <div class="ODDSBlock">
                            <div class="">
                                <span>Bonus from a BET:</span>
                                <span class="NumCoef">{{ BonusBet }}</span>
                            </div>
                            <div class="">
                                <span>Overall ODDS</span>
                                <span class="NumCoef">{{ Odds }}</span>
                            </div>
                            <div class="btn-box">
                                <a href="#" class="btn-slip">add to bet slip</a>
                            </div>
                        </div>
                    </div>
                </v-card-text>
              </v-card>
            </v-expansion-panel-content>
          </v-expansion-panel>
    </div>
</template>

<script>
export default {
    data() {
        return {
            items: [
                {
                    GameClub01: 'Copenhagen',
                    GameClub02: 'Vendsyssel',
                    GameData: '25.02',
                    gametime: '18:00',
                    KindBet: 'W1',
                    GameCoef: '2.68',
                },
                {
                    GameClub01: 'Copenhagen2',
                    GameClub02: 'Vendsyssel2',
                    GameData: '25.03',
                    GameTime: '18:00',
                    KindBet: 'W1',
                    GameCoef: '2.68',
                },
                {
                    GameClub01: 'Copenhagen2',
                    GameClub02: 'Vendsyssel2',
                    GameData: '25.03',
                    GameTime: '18:00',
                    KindBet: 'W1',
                    GameCoef: '2.68',
                }
            ],
            BonusBet: '1.37',
            Odds: '6.568'
        }
    }
}
</script>

<style lang="scss" scoped>
.AccumBlock {
    .v-card {
        background: transparent;
        .v-card__text {
            padding: 0;
            .AccumInfoBlock {
                .BetsBlock {
                    background: white;
                    .BetInfo {
                        display: flex;
                        align-items: center;

                        padding: 10px 15px;
                        span {
                            display: flex;
                            flex-direction: column;

                            margin-right: 10px;
                        }
                    }
                    .BetNum {
                        background-color: #e8e8e8;
                    }
                    .BetNum {
                        display: flex;
                        justify-content: space-between;
                        padding: 3px 15px;
                        font-weight: bold;
                        span:nth-child(1) {
                            font-weight: bold;
                            color: orange;
                        }
                        span:nth-child(2) {
                            text-decoration: underline;
                        }
                    }
                }
                .ODDSBlock {
                    padding: 15px;
                    background-image: url(../assets/bg_accum.jpg);
                    background-size: cover;

                    border-radius: 0 0 10px 10px;
                    border: 1px solid white;

                    color: white;
                    div {
                        display: flex;
                        justify-content: space-between;

                        margin: 10px 0;
                        .NumCoef {
                            color: #d6892f;
                            text-decoration: underline;
                        }
                    }
                    div:last-of-type{
                        justify-content: center;
                    }
                }
            }
        }
    }
}

.btn-box {
    .btn-bet {
        color: white;
        font-weight: bold;
        font-size: 20px;
        text-decoration: none;
        text-transform: uppercase;

        padding: 15px 50px;

        background-image: url(../assets/bg_sport_event.jpg);
        background-size: cover;
        box-shadow: 0 10px 25px -3px red;

        border: 2px solid red;
        border-radius: 10px;

        transition: .7s all ease;
    }
    .btn-slip {
        color: white;
        font-weight: bold;
        font-size: 20px;
        text-decoration: none;
        text-transform: uppercase;

        padding: 10px 20px;

        background-image: url(../assets/bg_sport_event.jpg);
        background-size: cover;
        box-shadow: 0 10px 25px -3px red;

        border: 2px solid red;
        border-radius: 15px;

        transition: .7s all ease;
    }
    .btn-bet,
    .btn-slip:hover {
        box-shadow: 0 5px 30px 10px red;

        transition: .7s all ease;
    }
}

.categ-Accum {
    font-size: 17px;

    padding: 0 20px;

    display: flex;
    justify-content: space-between;
}
</style>
